ps.options {grDevices} | R Documentation

## Auxiliary Function to Set/View Argument of postscript

### Description

The auxiliary function `ps.options` can be used to set and view (if called without arguments) default values for the arguments to `postscript`.

`ps.options` needs to be called before calling `postscript`, and the default values it sets can be overridden by supplying arguments to `postscript`.

### Usage

    ps.options(..., reset = FALSE, override.check = FALSE)

### Arguments

`...` | arguments `paper`, `horizontal`, `width`, `height`, `family`, `encoding`, `pointsize`, `bg`, `fg`, `onefile`, `print.it`, and `append` (ignored) can be supplied.
`reset, override.check` | logical arguments passed to `check.options`. See the Examples.

### Value

A named list of arguments.

### See Also

`postscript`

### Examples

    ps.options(bg = "pink")
    utils::str(ps.options(reset = TRUE))

    ### ---- error checking of arguments: ----
    ps.options(width=0:12, onefile=0, bg=pi)
    # override the check for 'onefile', but not the others:
    utils::str(ps.options(width=0:12, onefile=1, bg=pi,
                          override.check = c(FALSE,TRUE,FALSE)))

[Package grDevices version 2.4.1 Index]